Bug 184544 - mkinitrd improperly parses modprobe.conf
mkinitrd improperly parses modprobe.conf
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: mkinitrd (Show other bugs)
4.0
All Linux
medium Severity high
: ---
: ---
Assigned To: Peter Jones
Brian Brock
:
Depends On:
Blocks: 209447 217097 217213
  Show dependency treegraph
 
Reported: 2006-03-09 14:10 EST by James Smart
Modified: 2007-11-30 17:07 EST (History)
8 users (show)

See Also:
Fixed In Version: RHBA-2007-0273
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-05-07 18:11:08 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Proposed patch for the problem (546 bytes, patch)
2006-03-20 10:57 EST, James Smart
no flags Details | Diff

  None (edit)
Description James Smart 2006-03-09 14:10:41 EST
Description of problem:
  General:
  Modules parameters in modprobe.conf that span multiple lines are not
  parsed properly by mkinitrd.

  Detail:
  The sed script in mkinitrd to extract options from modprobe.conf
  incorrectly assumes a particular option fits on one line.

Version-Release number of selected component (if applicable):
RHEL4-U2
Kernel: 2.6.9-22.ELsmp

How reproducible:
Every Time.

Steps to Reproduce:
1. Create entry in modprobe.conf that spans multiple lines (e.g. use a "\" to
extend the entry to the next line
2. run mkinitrd
  
Actual results:
Parameters on 2nd-N lines do not get set.
Sometimes warning messages about bad parameter name.
Bizarre panic's, not related to driver specified in modprobe.conf line, occur
when the module is loaded.


Expected results:


Additional info:
Comment 1 James Smart 2006-03-20 10:57:05 EST
Created attachment 126351 [details]
Proposed patch for the problem
Comment 2 Bob Gautier 2006-05-05 05:57:04 EDT
I've just seen problems with mkinitrd when I have multiple options lines for a 
single module.  If modprobe.conf has this:

options foo parm1
options foo parm2

then the init script in the initrd ends up with

insmod foo parm1
parm2

Comment 4 RHEL Product and Program Management 2006-08-18 12:32:08 EDT
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.
Comment 6 Jamie Wellnitz 2006-10-03 10:52:37 EDT
This occurs with RHEL 5 beta 1 (mkinitrd-5.1.2-1.3) as well.  The same proposed
patch (with applies with an offset) fixes it.
Comment 7 Tom Coughlan 2006-10-05 09:15:05 EDT
This is a 4.5 BZ. I will clone it for 5.0.
Comment 9 Andrius Benokraitis 2007-01-25 14:54:15 EST
Tom/Peter: How is this looking for 4.5?
Comment 10 Peter Jones 2007-01-30 14:45:56 EST
Should be fixed in mkinitrd-4.2.1.9-1 .
Comment 15 Jamie Wellnitz 2007-04-19 19:12:13 EDT
Verified the original issue (described in the initial comment) is fixed in
mkinitrd-4.2.1.10-1.1.  The behavior described in comment #2 (multiple option
lines instead of a continued line) does not seem to be changed.
Comment 16 Red Hat Bugzilla 2007-05-07 18:11:08 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2007-0273.html

Note You need to log in before you can comment on or make changes to this bug.